
QGIS Application - Bug report #11426

Right click cause crash when digitizing polygon inner ring

2014-10-17 05:53 AM - David Pavlicek

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19702

Description

Right click cause crash when digitizing polygon inner ring

Step to reproduce:

Toggle polygon layer editing, select "add inner ring" tool and then press right mouse button.

I try this with SpatiaLite and Shapefile, both with same result (crash).

Associated revisions

Revision fb321782 - 2014-10-20 12:53 PM - Martin Dobias

Fix #11426 (Right click cause crash when digitizing polygon inner ring)

Also fixed the same crash for add part and fill ring map tools.

History

#1 - 2014-10-17 06:24 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

- Operating System deleted (Windows 7)

- Target version set to Version 2.6

- Priority changed from Normal to Severe/Regression

confirmed here on Linux

Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 477

QGIS died on signal -1Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted

in previous releases the right click produced this message
"the inserted ring in not a valid geometry"

#2 - 2014-10-17 06:33 AM - Filipe Dias

I can create inner rings. But if I start by right clicking on the selected the polygon, I get a crash every time.

I'm on Ubuntu 14.04

#3 - 2014-10-20 03:17 AM - Martin Dobias

- Assignee set to Martin Dobias

#4 - 2014-10-20 03:56 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"fb321782bf7ae51ac09fcc8c933660f983c028d3".
